<?php
declare(strict_types=1);

namespace WP_AUX\Enum;

use WP_AUX\Interfaces\OptionsEnumInterface;
use WP_AUX\Traits\EnumTraits;

enum SignupFeatureAlignmentOptionsEnum: string implements OptionsEnumInterface
{
  use EnumTraits;

  case Left = 'left';
  case Center = 'center';
  case Right = 'right';

  public const SETTING_LABEL = 'Sign-Up Feature Content Alignment';

  public function label(): string
  {
    return match($this) {
      self::Left => 'Left',
      self::Center => 'Center',
      self::Right => 'Right',
    };
  }
}
